# DXGfxLib.EnhancedAllocateHierarchy Class Reference

In order to create derived classes instead of base Frame and MeshContainer we need to provide our own class deriving from AllocateHierarchy. This is EnhancedAllocateHierarchy. More...

List of all members.

## Public Member Functions
override Frame | CreateFrame (string name)
override MeshContainer | CreateMeshContainer (string name, MeshData meshData, ExtendedMaterial[] materials, EffectInstance[] effectInstances, GraphicsStream adjacency, SkinInformation skinInfo)
override Frame | CreateFrame (string name)
override MeshContainer | CreateMeshContainer (string name, MeshData meshData, ExtendedMaterial[] materials, EffectInstance[] effectInstances, GraphicsStream adjacency, SkinInformation skinInfo)

## Detailed Description

In order to create derived classes instead of base Frame and MeshContainer we need to provide our own class deriving from AllocateHierarchy. This is EnhancedAllocateHierarchy.

Definition at line 127 of file ArticulatedModel.cs.

## Member Function Documentation

override Frame DXGfxLib.EnhancedAllocateHierarchy.CreateFrame | ( | string | name | ) |

Definition at line 129 of file ArticulatedModel.cs.

override Frame DXGfxLib.EnhancedAllocateHierarchy.CreateFrame | ( | string | name | ) |

Definition at line 129 of file ArticulatedModel.cs.

override MeshContainer DXGfxLib.EnhancedAllocateHierarchy.CreateMeshContainer | ( | string | name,
|  | MeshData | meshData,
|  | ExtendedMaterial[] | materials,
|  | EffectInstance[] | effectInstances,
|  | GraphicsStream | adjacency,
|  | SkinInformation | skinInfo |
| ) |  |  |

Definition at line 137 of file ArticulatedModel.cs.

override MeshContainer DXGfxLib.EnhancedAllocateHierarchy.CreateMeshContainer | ( | string | name,
|  | MeshData | meshData,
|  | ExtendedMaterial[] | materials,
|  | EffectInstance[] | effectInstances,
|  | GraphicsStream | adjacency,
|  | SkinInformation | skinInfo |
| ) |  |  |

Definition at line 137 of file ArticulatedModel.cs.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/ArticulatedModel.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/ArticulatedModel.cs